さくらインターネットで任意の階層のphpバージョンをアップする方法

さくらインターネットでWordPressを入れたいとご依頼いただき、入れようとサーバスペックを確認したところ、php5.3でした。
ちなみに現時点で最新WordPressの推奨はphp7.3以上です。
他のサイトも併設しているということもあり、特定のディレクトリのみでphpバージョンを上げたかったのです。

【結論】

ドキュメントルートに
1)php.cgi
2).htaccess(すでにあれば追記)
3).user.ini
を設置すればできました。

php.cgi
ファイルのパーミッションを705にする。

exec /usr/local/php/7.3/bin/php-cgi

.htaccess

Action myphp-script /任意のディレクトリパス/php.cgi
AddHandler myphp-script .php .html

.user.ini
これの具体的な意味はよくわからないですが救世主様より拝借しました。

display_errors = On
error_reporting = 6135

救世主

今日のひとこと

焼肉食べたい

Blogs List

CONTACT

当事務所にご関心をお持ちいただきまして、ありがとうございます。
ご意見・ご相談等、お気軽に下記よりお問合わせください。

© Copyright 2019 NIAR All rights reserved.